import subprocess
from io import TextIOWrapper
import fs
from networkx.generators.small import desargues_graph


class AudioSlicer:

    destinationDirectory = ""

    def __init__(self, destinationDirectory):
        self.destinationDirectory = destinationDirectory


    def slice(self, audioFilePath, start, duration):
        ' invokes external process'

        print self.destinationDirectory + " = " + audioFilePath + " - " + start + " - " + duration

        destinationFile = fs.join(self.destinationDirectory, fs.filename(audioFilePath))

        command = ['ffmpeg', audioFilePath, '-t', duration, '-ss', start, '-acodec', 'copy', destinationFile]

        for c in command:
            print c

        p = subprocess.Popen(['ls', '-l'], stdout=subprocess.PIPE)

        for line in p.stdout.readlines():
            print line


